[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TBoundLabel.Create

Constructor for the class instance.

## Declaration

Source position: extctrls.pp line 977

`public constructor TBoundLabel.Create(`
`TheOwner: TComponent`
`); override;`

## Arguments

`TheOwner` |  | Owner for the class instance.

## Description

Create is the constructor for TBoundLabel. It calls the inherited Create method, and makes itself a SubComponent of the Owner. The default values for the following properties are set:

Alignment
  Set to taLeftJustify to align text to the left in the label.
Layout
  Set to tlCenter to center the text vertically on the label. The top of the label is determined using the height for the control to which it is bound.

The Caption for the label is changed to the value from the Name property in the Owner control.

## Version info

Modified in LCL version 4.0 to set default values for the Alignment and Layout properties.

## See also

TBoundLabel.Alignment |  | Horizontal alignment for the Caption displayed on the bound label.
TBoundLabel.Caption |  | The text displayed for the control.
TBoundLabel.Layout |  | Specifies the vertical alignment for the Caption text on the label.
TCustomLabel.Create |  | Constructor for the class instance.
TComponent.SetSubComponent